Page MenuHomePhabricator

Make 'flow-mention' more important than other notifications
Closed, ResolvedPublic

Description

When an event results in more than one notifications and one of those notifications is a mention (or a flow-mention), deliver the mention and suppress everything else.

Event Timeline

SBisson created this task.Feb 1 2016, 7:36 PM
SBisson raised the priority of this task from to Needs Triage.
SBisson updated the task description. (Show Details)
SBisson added subscribers: SBisson, StudiesWorld, Aklapper.

Change 267876 had a related patch set uploaded (by Matthias Mullie):
Allow certain users to be excluded

https://gerrit.wikimedia.org/r/267876

Change 267877 had a related patch set uploaded (by Matthias Mullie):
Mentions are the primary notification

https://gerrit.wikimedia.org/r/267877

matthiasmullie set Security to None.
SBisson updated the task description. (Show Details)Feb 2 2016, 1:29 PM

Change 267876 merged by jenkins-bot:
Allow certain users to be excluded

https://gerrit.wikimedia.org/r/267876

Change 267877 merged by jenkins-bot:
Mentions are the primary notification

https://gerrit.wikimedia.org/r/267877

Checked for

  • local cross-wiki notifications
  • watched/non watched pages and topics
  • whether the other notifications were suppressed - e.g. Mention in newly created topic/posts or in edited posts

Mention notifications come are prevalent notification type for the above cases - other notifications are suppressed.

Note: Still do not see Mention notifications from

  • Create/edit a Summary
  • Board descritpion

@Etonkovidova, you note that you:

Still do not see Mention notifications from

  • Create/edit a Summary
  • Board description

Closing this because those are in T125120

jmatazzoni closed this task as Resolved.Feb 17 2016, 11:21 PM